<section class="container-fluid animated fadeIn">
  <div class="row">
    <div class="col-lg-12">
      <h4>{{title|translate}}</h4>
      <hr>
    </div>
  </div>
  <div class="row wall">
    <div class="col-xl-12 col-lg-12 col-md-12 col-12">
      <form [formGroup]="form" (ngSubmit)="submit(form)" novalidate>
        <div class="row">
          <!-- Title -->
          <div class="col-lg-6">
            <div class="row form-group" [ngClass]="{'has-error':form.controls['title'].invalid && formSubmited}">
              <div class="col-lg-12">
                <label class="form-label-inline" for="title">
                  {{ 'site.create.b-title' | translate }} :
                </label>
              </div>
              <div class="col-lg-12">
                <input id="title" class="form-control" type="text" maxlength="255" name="title" formControlName="title" autocomplete="off">
                <div class="feedback" *ngIf="form.controls['title'].hasError('required') && formSubmited">{{ 'feedback.required' | translate }}</div>
              </div>
            </div>
          </div>
          <!-- Position -->
          <div class="col-lg-6">
            <div class="row form-group" [ngClass]="{'has-error':form.controls['position'].invalid && formSubmited}">
              <div class="col-lg-12">
                <label class="form-label-inline" for="position">
                  {{ 'site.create.position' | translate }} :
                </label>
              </div>
              <div class="col-lg-12">
                <input id="position" class="form-control" type="number" name="position" formControlName="position" autocomplete="off">
                <div class="feedback" *ngIf="form.controls['position'].hasError('min') && formSubmited">{{ 'feedback.min' | translate }}</div>
              </div>
            </div>
          </div>
          <!-- Filter -->
          <div class="my-4" [formGroup]="filterForm" (ngSubmit)="submit(form)" novalidate>
            <div class="col-lg-12">
              <label class="form-label-inline" for="image">
                {{ 'site.create.filter' | translate }} :
              </label>
            </div>
            <!-- <div class="col-lg-12"> -->
              <div class="row" style="border: 1px solid rgb(82, 95, 127); padding: 10px; margin: 5px;">
                <!-- sort -->
                <div class="col-lg-6">
                  <div class="row form-group">
                    <div class="col-lg-12">
                      <label class="form-label-inline" for="sort">
                        {{ 'site.create.sort' | translate }} :
                      </label>
                    </div>
                    <div class="col-lg-12">
                      <select-input inputid="new-sort" [list]="sorts" itemkey="name" itemvalue="id"
                      [defaults]='selectedSort' [multi]='false' [allowDuplicate]='false' (changed)="setSort($event)" placeholder></select-input>
                    </div>
                  </div>
                </div>
                <!-- limit -->
                <!-- <div class="col-lg-6">
                  <div class="row form-group">
                    <div class="col-lg-12">
                      <label class="form-label-inline" for="limit">
                        {{ 'site.create.limit' | translate }} :
                      </label>
                    </div>
                    <div class="col-lg-12">
                      <input id="limit" class="form-control" type="number" name="limit" formControlName="limit">
                    </div>
                  </div>
                </div> -->
                <!-- imdb -->
                <div class="col-lg-6">
                  <div class="row form-group">
                    <div class="col-lg-12">
                      <label class="form-label-inline" for="imdb">
                        {{ 'site.create.imdb' | translate }} :
                      </label>
                    </div>
                    <div class="col-lg-12">
                      <input id="imdb" class="form-control" maxlength="255" type="text" name="imdb" formControlName="imdb">
                    </div>
                  </div>
                </div>
                <!-- name -->
                <div class="col-lg-6">
                  <div class="row form-group">
                    <div class="col-lg-12">
                      <label class="form-label-inline" for="name">
                        {{ 'site.create.name' | translate }} :
                      </label>
                    </div>
                    <div class="col-lg-12">
                      <input id="name" class="form-control" maxlength="255" type="text" name="name" formControlName="name">
                      <!-- <div class="feedback" *ngIf="form.controls['name'].hasError('required') && formSubmited">{{
                        'feedback.required' | translate }}</div> -->
                    </div>
                  </div>
                </div>
                <!-- tags -->
                <div class="col-lg-6">
                  <div class="row form-group">
                    <div class="col-lg-12">
                      <label class="form-label-inline" for="tags">
                        {{ 'upload.create.tags' | translate }} :
                      </label>
                    </div>
                    <div class="col-lg-12">
                      <select-input inputid="new-tags" [list]="tags" itemkey="name" itemvalue="id"
                        [defaults]='selectedTag' [multi]='true' [allowDuplicate]='false' (changed)="setTag($event)" placeholder></select-input>
                    </div>
                  </div>
                </div>
                <!-- country -->
                <div class="col-lg-6">
                  <div class="row form-group">
                    <div class="col-lg-12">
                      <label class="form-label-inline" for="name">
                        {{ 'site.create.country' | translate }} :
                      </label>
                    </div>
                    <div class="col-lg-12">
                      <input id="name" class="form-control" maxlength="255" type="text" name="name" formControlName="country">
                      <!-- <div class="feedback" *ngIf="form.controls['name'].hasError('required') && formSubmited">{{
                        'feedback.required' | translate }}</div> -->
                    </div>
                  </div>
                </div>
                <!-- genres -->
                <div class="col-lg-6">
                  <div class="row form-group">
                    <div class="col-lg-12">
                      <label class="form-label-inline" for="genres">
                        {{ 'genre.list.title' | translate }} :
                      </label>
                    </div>
                    <div class="col-lg-12">
                      <select-input inputid="new-genres" [list]="genres" itemkey="name" itemvalue="id"
                        [defaults]='genre' [multi]='true' [allowDuplicate]='false' (changed)="setGenre($event)" placeholder></select-input>
                    </div>
                  </div>
                </div>
                <!-- release_date_from -->
                <div class="col-lg-6 mt-1">
                  <div class="row form-group">
                    <div class="col-lg-12">
                      <label for="release_date" class="form-label-inline">
                        {{ 'site.create.release_date_from' | translate }} :
                      </label>
                    </div>
                    <div class="col-lg-12">
                      <input type="text" class="form-control" #datepickerInput [placeholder]="release_date_from" />
                      <ng-persian-datepicker [input]="datepickerInput" [dateInitValue]="configForm.date.dateInitValue" [(dateValue)]="configForm.date['value']" [dateOnSelect]="configForm.date.onSelect" [timeEnable]="false" [dateFormat]="'jYYYY-jMM-jDD'" [uiTheme]="'black'">
                      </ng-persian-datepicker>
                    </div>
                  </div>
                </div>
                <!-- release_date_to -->
                <div class="col-lg-6 mt-1">
                  <div class="row form-group">
                    <div class="col-lg-12">
                      <label for="release_date" class="form-label-inline">
                        {{ 'site.create.release_date_to' | translate }} :
                      </label>
                    </div>
                    <div class="col-lg-12">
                      <input type="text" class="form-control" #datepickerInputTo [placeholder]="release_date_to" />
                      <ng-persian-datepicker [input]="datepickerInputTo" [dateInitValue]="configTo.date.dateInitValue" [(dateValue)]="configTo.date['value']" [dateOnSelect]="configTo.date.onSelect" [timeEnable]="false" [dateFormat]="'jYYYY-jMM-jDD'" [uiTheme]="'black'">
                      </ng-persian-datepicker>
                    </div>
                  </div>
                </div>
                <!-- age_range -->
                <div class="col-lg-6">
                  <div class="row form-group">
                    <div class="col-lg-12">
                      <label class="form-label-inline" for="age_range">
                        {{ 'age.list.title' | translate }} :
                      </label>
                    </div>
                    <div class="col-lg-12">
                      <select-input inputid="new-age" [list]="ages" itemkey="name" itemvalue="id"
                        [defaults]='selectedAge' [multi]='true' [allowDuplicate]='false' (changed)="setAge($event)" placeholder></select-input>
                    </div>
                  </div>
                </div>
                <!-- language -->
                <div class="col-lg-6">
                  <div class="row form-group">
                    <div class="col-lg-12">
                      <label class="form-label-inline" for="name">
                        {{ 'upload.create.language' | translate }} :
                      </label>
                    </div>
                    <div class="col-lg-12">
                      <input id="name" class="form-control" maxlength="255" type="text" name="name" formControlName="name">
                      <!-- <div class="feedback" *ngIf="form.controls['name'].hasError('required') && formSubmited">{{
                        'feedback.required' | translate }}</div> -->
                    </div>
                  </div>
                </div>
                <!-- length_from -->
                <div class="col-lg-6">
                  <div class="row form-group">
                    <div class="col-lg-12">
                      <label class="form-label-inline" for="name">
                        {{ 'site.create.length_from' | translate }} :
                      </label>
                    </div>
                    <div class="col-lg-12">
                      <input id="name" class="form-control" type="number" name="name" formControlName="name">
                    </div>
                  </div>
                </div>
                <!-- length_to -->
                <div class="col-lg-6">
                  <div class="row form-group">
                    <div class="col-lg-12">
                      <label class="form-label-inline" for="name">
                        {{ 'site.create.length_to' | translate }} :
                      </label>
                    </div>
                    <div class="col-lg-12">
                      <input id="name" class="form-control" type="number" name="name" formControlName="name">
                    </div>
                  </div>
                </div>
                <!-- actors -->
                <div class="col-lg-6">
                  <div class="row form-group">
                    <div class="col-lg-12">
                      <label class="form-label-inline" for="actors">
                        {{ 'upload.create.actors' | translate }} :
                      </label>
                    </div>
                    <div class="col-lg-12">
                      <select-input inputid="new-actor" [defaults]='actor' [list]="actors" itemkey="name"
                        itemvalue="id" [multi]='true' [allowDuplicate]='false' [apiSearch]='true' (query)="searchActor($event)" (changed)="setActor($event)" placeholder></select-input>
                      <!-- <div class="feedback" *ngIf="form.controls['actors'].hasError('required') && formSubmited">{{
                        'feedback.required' | translate }}</div> -->
                    </div>
                  </div>
                </div>
                <!-- directors -->
                <div class="col-lg-6">
                  <div class="row form-group">
                    <div class="col-lg-12">
                      <label class="form-label-inline" for="director">
                        {{ 'upload.create.directors' | translate }} :
                      </label>
                    </div>
                    <div class="col-lg-12">
                      <select-input inputid="new-director" [list]="directors" itemkey="name" itemvalue="id" [defaults]='director'
                        [multi]='false' [allowDuplicate]='false' [apiSearch]='true' (query)="searchDirector($event)" (changed)="setDirector($event)" placeholder></select-input>
                      <!-- <div class="feedback" *ngIf="form.controls['director'].hasError('required') && formSubmited">{{
                        'feedback.required' | translate }}</div> -->
                    </div>
                  </div>
                </div>
                <!-- category -->
                <div class="col-lg-6">
                  <div class="row form-group">
                    <div class="col-lg-12">
                      <label class="form-label-inline" for="category">
                        {{ 'upload.create.category' | translate }} :
                      </label>
                    </div>
                    <div class="col-lg-12">
                      <select-input inputid="new-category" [list]="categories" itemkey="name" itemvalue="id"
                        [defaults]='selectedCategory' [multi]='false' [allowDuplicate]='false' (changed)="setCategory($event)" placeholder></select-input>
                    </div>
                  </div>
                </div>
                <!-- data -->
                <div class="col-lg-6">
                  <div class="row form-group">
                    <div class="col-lg-12">
                      <label class="form-label-inline" for="data">
                        {{ 'upload.create.data' | translate }} :
                      </label>
                    </div>
                    <div class="col-lg-12">
                      <select-input inputid="new-data" [list]="data" itemkey="name" itemvalue="id"
                        [defaults]='selectedData' [multi]='false' [allowDuplicate]='false' (changed)="setData($event)" placeholder></select-input>
                    </div>
                  </div>
                </div>
                <!-- type -->
                <div class="col-lg-6">
                  <div class="row form-group">
                    <div class="col-lg-12">
                      <label class="form-label-inline" for="size">
                        {{ 'upload.create.type' | translate }} :
                      </label>
                    </div>
                    <div class="col-lg-12">
                      <label class="radio-container">{{ 'upload.create.serial' | translate }}
                        <input type="radio" name="type" [value]="1" formControlName="type">
                        <span class="checkmark"></span>
                      </label>
                      <label class="radio-container">{{ 'upload.create.film' | translate }}
                        <input type="radio" name="type" [value]="2" formControlName="type">
                        <span class="checkmark"></span>
                      </label>
                    </div>
                  </div>
                </div>
              </div>
            <!-- </div> -->
          </div>
          <!-- is Image -->
          <div class="col-md-12 col-lg-6">
            <div class="form-check pt-4">
              <label class="form-check-label">
                <input class="form-check-input" type="checkbox" name="image" formControlName="image">
                <span class="form-check-sign">
                  <span class="check"></span>
                </span>
                <label for="" class="text-white">{{ 'site.create.image' | translate }}: </label>
              </label>
            </div>
          </div>
          <!-- Banner video -->
          <div class="col-lg-6">
            <div class="row form-group">
              <div class="col-lg-12">
                <label class="form-label-inline" for="sub_title">
                  {{ 'banner.create.video' | translate }} :
                </label>
              </div>
              <div class="col-lg-12">
                <select-input inputid="new-category" [defaults]="defaultVideo" [list]="video" itemkey="name"
                  itemvalue="id" [multi]='false' (changed)="setVideo($event)" #bannerSelectInput placeholder></select-input>
              </div>
            </div>
          </div>
          <!-- descktop_image -->
          <div class="col-lg-12">
            <div class="row">
              <label class="col-lg-12 form-label-inline" for="images">{{ 'actors.create.desktop_banner' | translate }} :<span dir="ltr">(1920*768)</span></label>
              <div class="col-md-12 mb">
                <dropzone-images [defaults]="defaultDesktopImage" [multi]="false" (changed)="setImage($event, 'descktop_image')">
                </dropzone-images>
              </div>
            </div>
          </div>
          <!-- banner_mobile_image -->
          <div class="col-lg-12">
            <div class="row">
              <label class="col-lg-12 form-label-inline" for="images">{{ 'actors.create.mobile_banner' | translate }} :<span dir="ltr">(660*775)</span></label>
              <div class="col-xl-12 mb">
                  <dropzone-images [defaults]="defaultMobileImage" [multi]="false" (changed)="setImage($event, 'mobile_image')">
                  </dropzone-images>
              </div>
            </div>
          </div>
          <div class="col-12">
            <span class="text-danger">{{error}}</span>
          </div>
          <!-- buttons -->
          <div class="col-md-10 mt-2">
            <div class="row">
              <div class="col-md-12">
                <button class="btn-primary mx-2" type="submit" [disabled]="form.invalid && formSubmited">{{ "upload.create.publish" |translate}}</button>
                <button class="btn-outline" type="button" routerLink="/panel/site" [queryParams]="query.params()">{{'operation.back' | translate }}</button>
              </div>
            </div>
          </div>
        </div>
      </form>
    </div>
  </div>
</section>